package com.yihu.jw.restmodel.base.patient;

import com.yihu.jw.restmodel.IntegerIdentityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;


/**
 * 
 * 帮助中心vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2018年11月27日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "HelpCenterVO", description = "帮助中心")
public class HelpCenterVO extends IntegerIdentityVO{

    /**
	 * 问题大类（账号问题，续方问题，操作问题）
	 */
	@ApiModelProperty(value = "问题大类（账号问题，续方问题，操作问题）", example = "模块1")
    private String parentType;

    /**
	 * 问题小类（账号被锁问题，身份证占用问题等等）
	 */
	@ApiModelProperty(value = "问题小类（账号被锁问题，身份证占用问题等等）", example = "模块1")
    private String type;

    /**
	 * 问题描述
	 */
	@ApiModelProperty(value = "问题描述", example = "模块1")
    private String question;

    /**
	 * 问题回答
	 */
	@ApiModelProperty(value = "问题回答", example = "模块1")
    private String answer;

    /**
	 * 有用次数
	 */
	@ApiModelProperty(value = "有用次数", example = "模块1")
    private String usefulCount;

    /**
	 * 无用次数
	 */
	@ApiModelProperty(value = "无用次数", example = "模块1")
    private String unusefulCount;


    public String getParentType() {
        return parentType;
    }
    public void setParentType(String parentType) {
        this.parentType = parentType;
    }

    public String getType() {
        return type;
    }
    public void setType(String type) {
        this.type = type;
    }

    public String getQuestion() {
        return question;
    }
    public void setQuestion(String question) {
        this.question = question;
    }

    public String getAnswer() {
        return answer;
    }
    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public String getUsefulCount() {
        return usefulCount;
    }
    public void setUsefulCount(String usefulCount) {
        this.usefulCount = usefulCount;
    }

    public String getUnusefulCount() {
        return unusefulCount;
    }
    public void setUnusefulCount(String unusefulCount) {
        this.unusefulCount = unusefulCount;
    }


}